
body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background: linear-gradient(135deg, #0beee3 0%, #ac5b74 100%);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.calculator {
    background-color: darkslateblue;
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.1);
    width: 320px;

}

.screen {
    width: 95%;
    height: 60px;
    text-align: right;
    padding: 10px;
    border-radius: 10px;
    border: 1px solid #ccc;
    font-size: 32px;
    margin-bottom: 15px;
    background-color: #54c454;
}

.buttons {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
}

.button {
    padding: 20px;
    font-size: 24px;
    border-radius: 100px;
    border: none;
    background-color: #e0e0e0;
    color: #333;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out, transform 0.2s ease, filter 0.3s ease;
}

.button.operator {
    background-color: #ff9500;
    color: #fff;
}

.button.equalBtn {
    background-color: #f30957;
    color: white;
}

.button:hover {
    background-color: #145574;
    filter: brightness(1.2); 
    transform: translateY(-2px); 
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
}

.operator:hover {
    background-color: #e68a00;
    filter: brightness(1.2);
    transform: translateY(-2px);
}

.equalBtn:hover {
    background-color: #45c155;
    filter: brightness(1.2);  
    transform: translateY(-2px);
}

@media screen and (max-width: 400px) {
    .calculator {
        width: 90%;
    }

    .button {
        font-size: 18px;
        padding: 15px;
    }

    .screen {
        font-size: 28px;
    }
}



